package com.bytedance.ies.nle.editor_jni;

import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class NLESegmentImageVideoAnimation extends NLESegmentVideoAnimation {
    public transient long LIZIZ;
    public transient boolean LIZJ;

    static {
        Covode.recordClassIndex(29864);
    }

    public void finalize() {
        delete();
    }

    public NLESegmentImageVideoAnimation() {
        this(NLEEditorJniJNI.new_NLESegmentImageVideoAnimation());
        MethodCollector.i(19133);
        MethodCollector.o(19133);
    }

    public final float LIZLLL() {
        MethodCollector.i(19127);
        float NLESegmentImageVideoAnimation_getBeginScale = NLEEditorJniJNI.NLESegmentImageVideoAnimation_getBeginScale(this.LIZIZ, this);
        MethodCollector.o(19127);
        return NLESegmentImageVideoAnimation_getBeginScale;
    }

    public final float LJ() {
        MethodCollector.i(19131);
        float NLESegmentImageVideoAnimation_getEndScale = NLEEditorJniJNI.NLESegmentImageVideoAnimation_getEndScale(this.LIZIZ, this);
        MethodCollector.o(19131);
        return NLESegmentImageVideoAnimation_getEndScale;
    }

    public NLENode clone() {
        MethodCollector.i(19124);
        long NLESegmentImageVideoAnimation_clone = NLEEditorJniJNI.NLESegmentImageVideoAnimation_clone(this.LIZIZ, this);
        if (NLESegmentImageVideoAnimation_clone == 0) {
            MethodCollector.o(19124);
            return null;
        }
        NLENode nLENode = new NLENode(NLESegmentImageVideoAnimation_clone, true);
        MethodCollector.o(19124);
        return nLENode;
    }

    public synchronized void delete() {
        MethodCollector.i(19120);
        long j = this.LIZIZ;
        if (j != 0) {
            if (this.LIZJ) {
                this.LIZJ = false;
                NLEEditorJniJNI.delete_NLESegmentImageVideoAnimation(j);
            }
            this.LIZIZ = 0;
        }
        super.delete();
        MethodCollector.o(19120);
    }

    public void swigSetCMemOwn(boolean z) {
        this.LIZJ = z;
        super.swigSetCMemOwn(z);
    }

    public final void LIZ(float f) {
        MethodCollector.i(19125);
        NLEEditorJniJNI.NLESegmentImageVideoAnimation_setBeginScale(this.LIZIZ, this, f);
        MethodCollector.o(19125);
    }

    public final void LIZIZ(float f) {
        MethodCollector.i(19129);
        NLEEditorJniJNI.NLESegmentImageVideoAnimation_setEndScale(this.LIZIZ, this, f);
        MethodCollector.o(19129);
    }

    public NLESegmentImageVideoAnimation(long j) {
        super(NLEEditorJniJNI.NLESegmentImageVideoAnimation_SWIGSmartPtrUpcast(j));
        MethodCollector.i(19113);
        this.LIZJ = true;
        this.LIZIZ = j;
        MethodCollector.o(19113);
    }

    public static NLESegmentImageVideoAnimation LIZ(NLENode nLENode) {
        NLESegmentImageVideoAnimation nLESegmentImageVideoAnimation;
        MethodCollector.i(19122);
        long NLESegmentImageVideoAnimation_dynamicCast = NLEEditorJniJNI.NLESegmentImageVideoAnimation_dynamicCast(NLENode.getCPtr(nLENode), nLENode);
        if (NLESegmentImageVideoAnimation_dynamicCast == 0) {
            nLESegmentImageVideoAnimation = null;
        } else {
            nLESegmentImageVideoAnimation = new NLESegmentImageVideoAnimation(NLESegmentImageVideoAnimation_dynamicCast);
        }
        MethodCollector.o(19122);
        return nLESegmentImageVideoAnimation;
    }
}
